Bug 1415663 - Review Request: kbdd - Per window keyboard layout
Summary: Review Request: kbdd - Per window keyboard layout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:46 UTC by Vasiliy Glazov
Modified: 2017-02-07 00:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 00:22:37 UTC
Type: Bug
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Vasiliy Glazov 2017-01-23 11:46:29 UTC
Spec URL: https://raw.githubusercontent.com/RussianFedora/kbdd/master/kbdd.spec
SRPM URL: http://koji.russianfedora.pro/kojifiles/work/tasks/491/20491/kbdd-0.7.1-1.fc26.src.rpm

Description:
Simple daemon and library to make per window layout using XKB (X KeyBoard Extension). With DBUS support.

Suitable for simple DE and WM (like LXDE) without builtin similar functionality.

Comment 1 Igor Gnatenko 2017-01-23 11:56:54 UTC
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "FSF All Permissive", "GPL (v2 or later)", "Unknown or
     generated". 14 files have unknown license. Detailed output of
     licensecheck in /home/brain/tmp/review-kbdd/licensecheck.txt
-> This is partially false-positive, because INSTALL file is FSF All Permissive...
-> All (almost) source code files have headers for GPLv2+, but COPYING file says GPLv3+, please file ticket to upstream to clarify it. Not blocking on this, because GPLv2+ includes GPLv3+, so it should be fine for now, but add link in spec about upstream ticket.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1,
     /usr/share/dbus-1/interfaces
-> Add Requires: dbus


licensecheck:
FSF All Permissive
------------------
kbdd-0.7.1/INSTALL

GPL (v2 or later)
-----------------
kbdd-0.7.1/src/common-defs.h
kbdd-0.7.1/src/dbus/dbus-test.c
kbdd-0.7.1/src/dbus/m-kbdd-service.c
kbdd-0.7.1/src/dbus/m-kbdd-service.h
kbdd-0.7.1/src/kbdd.c
kbdd-0.7.1/src/libkbdd.c
kbdd-0.7.1/src/libkbdd.h
kbdd-0.7.1/src/perwindow.c
kbdd-0.7.1/src/perwindow.h

Unknown or generated
--------------------
kbdd-0.7.1/AUTHORS
kbdd-0.7.1/COPYING
kbdd-0.7.1/ChangeLog
kbdd-0.7.1/Makefile.am
kbdd-0.7.1/NEWS
kbdd-0.7.1/README
kbdd-0.7.1/README.rst
kbdd-0.7.1/bump.sh
kbdd-0.7.1/configure.ac
kbdd-0.7.1/kbdd.1
kbdd-0.7.1/src/Makefile.am
kbdd-0.7.1/src/dbus/Makefile.am
kbdd-0.7.1/src/dbus/kbdd-service-interface.xml
kbdd-0.7.1/src/keys.h

Comment 3 Gwyn Ciesla 2017-01-23 16:02:13 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/kbdd

Comment 4 Fedora Update System 2017-01-23 16:34:15 UTC
kbdd-0.7.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5db8afe95e

Comment 5 Fedora Update System 2017-01-23 16:34:22 UTC
kbdd-0.7.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-35d2ff9c1f

Comment 6 Fedora Update System 2017-01-25 01:22:03 UTC
kbdd-0.7.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5db8afe95e

Comment 7 Fedora Update System 2017-01-28 19:18:43 UTC
kbdd-0.7.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-35d2ff9c1f

Comment 8 Fedora Update System 2017-02-07 00:22:37 UTC
kbdd-0.7.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-02-07 00:53:04 UTC
kbdd-0.7.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.